
Infrastructure - Story #7678

Implement and deploy support for the NOAA variant of ISO-19139 / TC211

2016-03-16 21:26 - Dave Vieglais

Status: Closed Start date: 2016-03-16

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: CCI-2.1.2   

Story Points:    

Description

The NOAA variant of ISO-19139 reuses the same name spaces as that already published by IOS-TC211. 

This leads to potential conflicts for validation of that content.

The goal of this story is two fold - 

1. Enable support of the NOAA variant of the standard in favor of the TC211 version

and 

1. Ensure that both variants can be supported in the future.

Subtasks:

Task # 7679: Add format id for NOAA variant of iso-19139 Closed

Task # 7680: Enable indexing support for NOAA variant of ISO-19139 / TC211 Closed

Task # 7681: Ensure view service compatibility with the NOAA variant of ISO-19139 / TC211 Closed

History

#1 - 2016-03-25 00:56 - Dave Vieglais

- Status changed from New to In Progress

- % Done changed from 0 to 30

#2 - 2016-04-27 14:43 - Dave Vieglais

- Status changed from In Progress to Closed

- % Done changed from 30 to 100

This is minimally supported at this stage. Need to add in further support which requires more extensive alteration / creation of XSLT for rendering

service. See #7754
